%define base_name	kde-style
%define theme_name	thinkeramikmod
%define alt_name	thinkeramik-mod
%define name		%{base_name}-%{theme_name}
%define version		1.0
%define release         %mkrel 5
%define summary		Thinkeramik-mod kstyle and kwin theme for KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			%{alt_name}-%{version}.tar.bz2
URL:			http://www.kde-look.org/
BuildRequires:		kdebase-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot

%description
ThinKeramik was originally a style based on KDE's Keramik style. 
ThinKeramik-Mod is a lot of graphic hacks coupled with some code 
hacks to give a KDE style all its own. It alters ThinKeramik's look 
and functionality hopefully for the better.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{alt_name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure  --prefix=%{_prefix} --libdir=%_libdir --mandir=%_mandir --disable-debug --disable-rpath --enable-final --disable-warnings \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})"
%endif

%make

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/kde3/kstyle_%{theme_name}_config.la
%{_libdir}/kde3/kstyle_%{theme_name}_config.so
%{_libdir}/kde3/plugins/styles/%{theme_name}.la
%{_libdir}/kde3/plugins/styles/%{theme_name}.so
%{_datadir}/apps/kstyle/themes/%{theme_name}.themerc
%{_datadir}/apps/kdisplay/color-schemes/Pastels.kcsrc



%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.0-5mdv2008.1
+ Revision: 140853
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import kde-style-thinkeramikmod


* Fri Jul 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-5mdv2007.0
- Rebuild

* Wed Dec 28 2005 Anssi Hannula <anssi@mandriva.org> 1.0-4mdk
- fix x86_64 build
- quiet %%setup

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-3mdk
- Remove redundant Buildrequires
- use mkrel

* Tue Sep 06 2005 Laurent MONTEL <lmontel@mandriva.com> 1.0-2mdk
- Rebuild

* Mon Dec 06 2004 Laurent Culioli <laurent@mandrake.org> 1.0-1mdk
- initial spec

